dynamic-dynamodb --version causes AttributeError in cli #44

Closed
alxmrtn opened this Issue Jun 5, 2013 · 1 comment

Projects

None yet

2 participants

@alxmrtn
alxmrtn commented Jun 5, 2013
dynamic-dynamodb --version

Calling the above from a terminal results in:

Traceback (most recent call last):
  File "/usr/local/bin/dynamic-dynamodb", line 22, in <module>
    import dynamic_dynamodb
  File "/usr/local/lib/python2.7/dist-packages/dynamic_dynamodb/__init__.py", line 26, in <module>
    import core
  File "/usr/local/lib/python2.7/dist-packages/dynamic_dynamodb/core/__init__.py", line 6, in <module>
    import dynamodb
  File "/usr/local/lib/python2.7/dist-packages/dynamic_dynamodb/core/dynamodb.py", line 7, in <module>
    from dynamic_dynamodb.log_handler import LOGGER as logger
  File "/usr/local/lib/python2.7/dist-packages/dynamic_dynamodb/log_handler.py", line 23, in <module>
    import config_handler
  File "/usr/local/lib/python2.7/dist-packages/dynamic_dynamodb/config_handler.py", line 4, in <module>
    CONFIGURATION = config.get_configuration()
  File "/usr/local/lib/python2.7/dist-packages/dynamic_dynamodb/config/__init__.py", line 63, in get_configuration
    cmd_line_options = command_line_parser.parse()
  File "/usr/local/lib/python2.7/dist-packages/dynamic_dynamodb/config/command_line_parser.py", line 114, in parse
    print 'Dynamic DynamoDB version: {0}'.format(dynamic_dynamodb.version())
AttributeError: 'module' object has no attribute 'version'

Not a terrible huge issue, just a little inconvenient...

@sebdah
Owner
sebdah commented Jun 6, 2013

Hi, @alxmrtn! Thanks for the bug report. I am on a trip to Berlin at the moment. Will have a look at this during the weekend!

@sebdah sebdah was assigned Jun 6, 2013
@sebdah sebdah closed this Jun 8, 2013
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment